Skip to main content
POST
Create simulated user

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

project_id
string<uuid>
required

Body

application/json
name
string
required

Name of the simulated user

Minimum string length: 1
instructions
string
required

The simulated user's role, scenario, and behavior

Minimum string length: 1
voice_config
object
required
goal
string

The simulated user's objective, used to decide when to end the conversation

Minimum string length: 1

Response

The simulated user, including its stable UUID

id
string<uuid>
required

Unique identifier for the simulated user

project_id
string<uuid>
required

Unique identifier for the project that the simulated user belongs under

org_id
string<uuid>
required

Unique identifier for the organization

name
string
required

Name of the simulated user

Minimum string length: 1
instructions
string
required

The simulated user's role, scenario, and behavior

Minimum string length: 1
voice_config
object
required
_xact_id
string

Legacy transaction id. Not returned by simulated user CRUD.

created
string<date-time> | null

Date of simulated user creation

goal
string

The simulated user's objective, used to decide when to end the conversation

Minimum string length: 1